unit UnitFormSectionThree;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UnitBaseMDIChildForm, Menus, Grids, DBGrids, DB, DBTables,
  ExtCtrls, StdCtrls, DBCtrls;

type
  TFormSectionThree = class(TBaseMDIChildForm)
    Query1: TQuery;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    DBGrid2: TDBGrid;
    DataSource2: TDataSource;
    Query2: TQuery;
    Query2event_id: TFloatField;
    Query2event_type_id: TIntegerField;
    Query2customer_id: TIntegerField;
    Query2event_series: TStringField;
    Query2event_serial: TIntegerField;
    Query2event_date: TDateField;
    Query2del: TBooleanField;
    Query2sum_r: TFloatField;
    Query2sum_0: TFloatField;
    Query2sum_1: TFloatField;
    Query2sum_2: TFloatField;
    Query2sum_3: TFloatField;
    Query2sum_4: TFloatField;
    Query2sum_6: TFloatField;
    Query2sum_7: TFloatField;
    Query2sum_8: TFloatField;
    Query2description: TStringField;
    Query2event_type: TStringField;
    Query1customer_id: TIntegerField;
    Query1customer: TStringField;
    Panel1: TPanel;
    Panel2: TPanel;
    Splitter1: TSplitter;
    OpenEvent1: TMenuItem;
    Label3: TLabel;
    Label5: TLabel;
    DBText1: TDBText;
    Label1: TLabel;
    Label2: TLabel;
    Label4: TLabel;
    procedure CommandClick(Sender: TObject);
    procedure DBGrid2Enter(Sender: TObject);
    procedure DBGrid2Exit(Sender: TObject);
    procedure DBGrid2DblClick(Sender: TObject);
  private
  protected
  public
    procedure DocInit; override;
  end;

//var
//  FormSectionThree: TFormSectionThree; //  .

implementation

uses
  Doc, RegisterFormConsts;

{$R *.dfm}

{ TFormSectionThree }

procedure TFormSectionThree.CommandClick(Sender: TObject);
begin
  DocManager.ProcessDocParams(iFormSectionTwo, [1, Query2event_id.AsFloat]);
end;

procedure TFormSectionThree.DocInit;
begin
  inherited;
  Query1.Open;
  Query2.Open;
  if not ParamsIs([]) then begin
    case FParams[0] of
      1: begin //  
        Label4.Caption := '<Esc> - ';
        //   
        Query1.Filter := Query1customer_id.FieldName + '=' + VarToStr(FParams[1]);
        Query1.Filtered := True;
        if Query1.Locate(Query1customer_id.FieldName, FParams[1], []) then
          with Query1customer do
            if AsString <> '' then Caption := Caption + ' - ' + AsString;
        //   
        Query2.Locate(Query2event_id.FieldName, FParams[2], []);
      end;
      2: ;
      3: ;
    end;
  end;
  Label2.Caption := Caption;
end;

procedure TFormSectionThree.DBGrid2Enter(Sender: TObject);
begin
  inherited;
  OpenEvent1.Enabled := True;
end;

procedure TFormSectionThree.DBGrid2Exit(Sender: TObject);
begin
  inherited;
  OpenEvent1.Enabled := False;
end;

procedure TFormSectionThree.DBGrid2DblClick(Sender: TObject);
begin
  inherited;
  CommandClick(OpenEvent1);
end;

end.
