unit UnitFormSectionOne;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UnitBaseMDIChildForm, Menus, DB, DBTables, Grids, DBGrids,
  ExtCtrls, DBCtrls, StdCtrls, ActnList;

type
  TFormSectionOne = class(TBaseMDIChildForm)
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    Query1: TQuery;
    Panel1: TPanel;
    Query1ware_code: TFloatField;
    Query1event_ware_id: TIntegerField;
    Query1ware_attr_id: TIntegerField;
    Query1ware_date: TDateTimeField;
    Query1event_ware_id_in: TIntegerField;
    Query1ware_full_name: TStringField;
    Query1price_r: TFloatField;
    Query1event_id: TFloatField;
    Query1event_id_in: TFloatField;
    Query1price_w: TFloatField;
    Query1percent_r: TFloatField;
    Query1percent_w: TFloatField;
    Query1tax_nds: TFloatField;
    Query1event_series: TStringField;
    Query1event_serial: TIntegerField;
    Query1customer: TStringField;
    Query1event_date: TDateField;
    Label1: TLabel;
    DBText1: TDBText;
    Label2: TLabel;
    DBText2: TDBText;
    OpenEvent1: TMenuItem;
    OpenEventIn1: TMenuItem;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Query1customer_id: TIntegerField;
    ActionList1: TActionList;
    LastCustomer1: TAction;
    N1: TMenuItem;
    Button1: TButton;
    procedure CommandClick(Sender: TObject);
    procedure DBGrid1DblClick(Sender: TObject);
  private
  protected
  public
    procedure DocInit; override;
  end;

//var
//  FormSectionOne: TFormSectionOne; //  .

implementation

uses
  StrUtils, Doc, RegisterFormConsts;

{$R *.dfm}

{ TFormSectionOne }

procedure TFormSectionOne.CommandClick(Sender: TObject);
begin
  case TComponent(Sender).Tag of
    1: DocManager.ProcessDocParams(iFormSectionTwo, [1, Query1event_id.AsFloat, Query1ware_code.AsFloat]);
    2: DocManager.ProcessDocParams(iFormSectionTwo, [1, Query1event_id_in.AsFloat, Query1ware_code.AsFloat]);
    3: DocManager.ShowDoc(iFormSectionThree, [1, Query1customer_id.AsInteger, Query1event_id_in.AsFloat]);
  end;
end;

procedure TFormSectionOne.DocInit;
begin
  inherited;
  Label6.Caption := Caption;
  Query1.Open;
end;

procedure TFormSectionOne.DBGrid1DblClick(Sender: TObject);
begin
  inherited;
  if GetAsyncKeyState(VK_CONTROL) < 0 then
    CommandClick(OpenEventIn1)
  else
    CommandClick(OpenEvent1);
end;

end.
